Bug 132361 - /sbin/dhclient-script does not like 'netprofiles'
Summary: /sbin/dhclient-script does not like 'netprofiles'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-09-11 17:10 UTC by Manuel Moreno
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-15 13:49:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:566 normal SHIPPED_LIVE Updated dhcp and dhclient packages 2005-05-26 04:00:00 UTC

Description Manuel Moreno 2004-09-11 17:10:47 UTC
Description of problem:

/sbin/dhclient-script does not work with 'netprofiles' when several of
them use dhcp on the same physical interface

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. create two profiles that use dhcp on the same interface i.e eth0
eth0-profa and eth0-profb
2. try to change profiles with system-config-network-cmd -p profa -a
3.
  
Actual results:
error setting interface parameters


Expected results:
dhcp setting right interface parameters

Additional info:

this seems to fix it:

diff -uNa dhclient-script.old dhclient-script
--- dhclient-script.old 2004-09-11 17:58:48.065313456 +0100
+++ dhclient-script     2004-09-11 17:59:06.548503584 +0100
@@ -83,7 +83,7 @@
 [ -f ../network ] && . ../network
 [ -f ../networking/network ] && . ../networking/network

-CONFIG=$interface
+CONFIG=`fgrep -il "DEVICE=${interface}" ifcfg-* | cut -f2 -d '-'`

 need_config ${CONFIG}

Comment 1 Jason Vas Dias 2004-09-15 13:49:10 UTC
 This has been fixed in latest Fedora Core release (FC3t2).



Comment 2 John Flanagan 2004-12-21 19:41:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html



Note You need to log in before you can comment on or make changes to this bug.